package eu.mhsl.minenet.minigames.instance.game.stateless.types.acidRain;

import eu.mhsl.minenet.minigames.instance.game.Game;
import eu.mhsl.minenet.minigames.instance.game.stateless.config.GameFactory;
import eu.mhsl.minenet.minigames.instance.game.stateless.config.Option;
import eu.mhsl.minenet.minigames.instance.room.Room;
import eu.mhsl.minenet.minigames.message.component.TranslatedComponent;
import net.minestom.server.item.Material;

import java.util.Map;

public class AcidRainFactory implements GameFactory {
    @Override
    public TranslatedComponent name() {
        return TranslatedComponent.byId("game_AcidRain#name");
    }

    @Override
    public TranslatedComponent description() {
        return TranslatedComponent.byId("game_AcidRain#description");
    }

    @Override
    public Material symbol() {
        return Material.SLIME_BALL;
    }

    @Override
    public Game manufacture(Room parent, Map<String, Option<?>> configuration) throws Exception {
        return new AcidRain().setParent(parent);
    }
}
